=== debian/control ===
Source: ros-one-cras-msgs
Section: misc
Priority: optional
Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-message-generation, ros-one-ros-environment, ros-one-std-msgs
Homepage: https://wiki.ros.org/cras_msgs
Standards-Version: 3.9.2

Package: ros-one-cras-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-message-runtime, ros-one-std-msgs
Description: Common messages used by CRAS
