## ros-one-cras-msgs 1.1.1-7noble.20251211.2052

=== debian/changelog ===
ros-one-cras-msgs (1.1.1-7noble.20251211.2052) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 11 Dec 2025 20:52:52 +0000

ros-one-cras-msgs (1.1.1-0noble) noble; urgency=high

  * Added power messages.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 25 Aug 2023 00:00:00 -0000

ros-one-cras-msgs (1.1.0-0noble) noble; urgency=high

  * Added new messages (mostly for electronic_io).
  * Clean up undesired includes.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 04 May 2023 00:00:00 -0000

ros-one-cras-msgs (1.0.1-0noble) noble; urgency=high

  * Prepared package for release.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 30 Mar 2023 00:00:00 -0000
