## ros-one-cras-msgs 2.0.1-0jammy.20260126.2052

=== debian/changelog ===
ros-one-cras-msgs (2.0.1-0jammy.20260126.2052) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 26 Jan 2026 20:52:22 +0000

ros-one-cras-msgs (2.0.1-0jammy) jammy; urgency=high

  * CI: Fixed name of license lint action
  * Fixed package website link
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 26 Jan 2026 00:00:00 -0000

ros-one-cras-msgs (2.0.0-0jammy) jammy; urgency=high

  * Lint generated message files
  * Add ros_environment as a build dependency to make ROS_DISTRO available for CMake.
  * Added CI.
  * ROS 2 port.
    master branch is now compatible with both ROS 1 and ROS 2.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 26 Jan 2026 00:00:00 -0000
