=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
 Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-message-generation, ros-one-ros-environment, ros-one-std-msgs
-Homepage: https://wiki.ros.org/cras_msgs
+Homepage: https://index.ros.org/p/cras_msgs
 Standards-Version: 3.9.2
 
 Package: ros-one-cras-msgs
